Bug 915483 - a2ps:/etc/a2ps.cfg:220: invalid option `variable:'
a2ps:/etc/a2ps.cfg:220: invalid option `variable:'
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
201501*
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dr. Werner Fink
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-29 23:44 UTC by Gerald Pfeifer
Modified: 2020-03-10 16:12 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Patch that fixes the configuration file (481 bytes, patch)
2015-01-29 23:44 UTC, Gerald Pfeifer
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2015-01-29 23:44:33 UTC
Created attachment 621418 [details]
Patch that fixes the configuration file

Using a2ps on a simple text file, with a2ps-4.14-1.1.x86_64 I get

  % a2ps -o x.ps x
  a2ps:/etc/a2ps.cfg:220: invalid option `variable:'

  % ll  /etc/a2ps.cfg
  -rw-r--r-- 1 root root 15964 Dez 16 17:42 /etc/a2ps.cfg
 
`rpm -V a2ps` indicates I have the vanilla version of that file,
and indeed I never changed anything.

This seems to be due to a spelling of "variable" (lowercase) vs
"Variable", and can be fixed as follows (see attached patch):

-variable: ghostview a2ps-open
+Variable: ghostview a2ps-open
Comment 1 Gerald Pfeifer 2015-01-29 23:48:39 UTC
Shawn, might this be related to your update to 4.14?` That was a
while ago, but I do not see any later changes that feel relevant.
Comment 2 Dr. Werner Fink 2015-02-02 13:37:05 UTC
Grumble ... bug in a2ps-4.14.diff ... fixed
Btw: was this ever tested before submitted?

 Wed Aug 20 02:27:55 UTC 2014 - sfalken@opensuse.org
 - Updated to 4.14
Comment 3 Dr. Werner Fink 2015-02-02 13:57:17 UTC
fixed
Comment 4 Bernhard Wiedemann 2015-02-02 14:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (915483) was mentioned in
https://build.opensuse.org/request/show/283765 Factory / a2ps
Comment 5 Bernhard Wiedemann 2015-02-06 12:00:09 UTC
This is an autogenerated message for OBS integration:
This bug (915483) was mentioned in
https://build.opensuse.org/request/show/284461 Factory / a2ps
Comment 6 Martin Loviska 2020-03-10 16:12:43 UTC
https://openqa.opensuse.org/tests/1198298#step/a2ps/6